#!/bin/bash

on_exit() {
    for child in $(jobs -p); do
        jobs -p | grep -q $child && kill $child
    done
}

trap on_exit EXIT SIGHUP SIGINT SIGTERM

source_these=(
    "/etc/profile"
    "${HOME}/.profile"
    "${XDG_CONFIG_HOME:-"$HOME/.config"}/bspwm/autostart"
)

for file in "${source_these[@]}"; do
    [ -r "${file}" ] && . "${file}"
done

sxhkd &

exec bspwm

